# improve commands
alias cp="cp -iv"                          # confirm before overwriting something
alias df='df -h'                          # human-readable sizes
alias free='free -m'                      # show sizes in mb
alias np='nano -w pkgbuild'
alias more=less
alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

# useful commands
alias p="sudo pacman"
alias y="yay"
alias upgrade="sudo pacman -Syyu && yay -Syyu"
alias ls="exa --group-directories-first -lh"
alias l="exa --group-directories-first -lh"
alias la="exa --group-directories-first -alh"
alias print="printf"
alias q="exit"

# nvim edits
alias cfi3="nvim ~/.config/i3/config"
alias cfi3s="nvim ~/.config/i3status/config"
alias cfn="nvim ~/.config/nvim/init.vim"
alias e="nvim ."

# cd commands
alias c="cd ~/.config"
alias cuni="cd ~/Documents/Uni/CS && l"

# cli applications
alias yt="youtube-viewer"

# git stuff!
alias gs="git status"
alias gp="git push"
alias ga="git add"

#cat is now bat!
alias cat="bat"
